classification
Title: Build issue Solaris 10 Sparc
Type: compile error Stage: resolved
Components: ctypes, SSL Versions: Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, corona10, munocat
Priority: normal Keywords:

Created on 2020-05-27 02:58 by munocat, last changed 2020-06-01 20:58 by munocat. This issue is now closed.

Files
File name Uploaded Description Edit
config.log.gz munocat, 2020-06-01 04:47
make.log munocat, 2020-06-01 06:20
make.error.log munocat, 2020-06-01 06:26
Messages (7)
msg370041 - (view) Author: Warren Hardy (munocat) Date: 2020-05-27 02:58
I am using Solaris 10 (last oracle release). GCC 5.5.0

I had trouble with _ssl not building it was failing out with sethostname reference

I fixed this by removing the  -Werror=implicit-function-declaration

My main issue is that _ctypes is not being built and I am not sure why. I have googled for an answer, I have not found one. 

please can somebody explain simply how I rectify this problem. 

Thank you in advanced
msg370529 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-06-01 04:34
Please submit the compile error log you met :)
It will be helpful to maintainers
msg370530 - (view) Author: Warren Hardy (munocat) Date: 2020-06-01 04:41
not to sound like an idiot, where do i find the compile log?
msg370531 - (view) Author: Warren Hardy (munocat) Date: 2020-06-01 04:47
here is the config.log, had to gzip it to upload
msg370533 - (view) Author: Warren Hardy (munocat) Date: 2020-06-01 06:20
make log
msg370534 - (view) Author: Warren Hardy (munocat) Date: 2020-06-01 06:26
this error log contains information not piped to the make.log
msg370578 - (view) Author: Warren Hardy (munocat) Date: 2020-06-01 20:58
I found another bug Issue14527

https://bugs.python.org/issue14527

In bug 14527 was a reference to some changes, these worked to fix ctypes

https://github.com/python/cpython/pull/20451/files
History
Date User Action Args
2020-06-01 20:58:34munocatsetstatus: open -> closed
resolution: duplicate
messages: + msg370578

stage: resolved
2020-06-01 06:26:44munocatsetfiles: + make.error.log

messages: + msg370534
2020-06-01 06:20:20munocatsetfiles: + make.log

messages: + msg370533
2020-06-01 04:47:59munocatsetfiles: + config.log.gz

messages: + msg370531
2020-06-01 04:41:28munocatsetmessages: + msg370530
2020-06-01 04:34:27corona10setnosy: + corona10
messages: + msg370529
2020-05-31 19:18:55munocatsettype: compile error
2020-05-27 02:58:42munocatcreate